/* WB enterprise survey regs */

#delimit;
logit arrears hi_natstock
sector_1 sector_2 sector_4 export_1 region_*
if hi_natstock!=1,
robust cluster(wbcode);
estimates store e1;

#delimit;
logit arrears hi_natstock foreign
sector_1 sector_2 sector_4 export_1 region_*
if hi_natstock!=1,
robust cluster(wbcode);
estimates store e2;

#delimit;
logit arrears c.hi_natstock i.foreign foreign#c.hi_natstock
i.sector_1 i.sector_2 i.sector_4 i.export_1 region_*
if hi_natstock!=1,
robust cluster(wbcode);
estimates store e3;
margins, dydx(foreign) at(hi_natstock=(1(.5)4)) level(90);
marginsplot, recastci(rline) scheme(s2mono);

estout e1 e2 e3, starlevels (* .1 ** .05 *** .01) cells(b(star fmt(%9.3f)) se(par))
stats(r2 N, fmt(%9.3f %9.0f));

sum arrears c.hi_natstock i.foreign foreign#c.hi_natstock
i.sector_1 i.sector_2 i.sector_3 i.sector_4 i.export_1 region_* if e(sample);

tab wbcode if e(sample);

===

#delimit;
margins if sector_1==1, dydx(foreign) at(hi_natstock=(1(.5)4)) level(90);
marginsplot, recastci(rline) scheme(s2mono) name(a);


#delimit;
margins if sector_2==1, dydx(foreign) at(hi_natstock=(1(.5)4)) level(90);
marginsplot, recastci(rline) scheme(s2mono) name(b);

#delimit;
margins if sector_4==1, dydx(foreign) at(hi_natstock=(1(.5)4)) level(90);
marginsplot, recastci(rline) scheme(s2mono) name(c);

graph combine a b c;


===

/* testing additional interactions - by industry */

#delimit;
logit arrears c.hi_natstock sector_1#c.hi_natstock
i.sector_1 i.sector_2 i.sector_4 i.export_1 region_*
if hi_natstock!=1 & foreign!=0,
robust cluster(wbcode);
estimates store e3;
margins, dydx(sector_1) at(hi_natstock=(1(.5)4)) level(90);
marginsplot, recastci(rline) scheme(s2mono);

#delimit;
logit arrears c.hi_natstock sector_2#c.hi_natstock
i.sector_1 i.sector_2 i.sector_4 i.export_1 region_*
if hi_natstock!=1 & foreign!=0,
robust cluster(wbcode);
estimates store e3;
margins, dydx(sector_2) at(hi_natstock=(1(.5)4)) level(90);
marginsplot, recastci(rline) scheme(s2mono);

#delimit;
logit arrears c.hi_natstock sector_4#c.hi_natstock
i.sector_1 i.sector_2 i.sector_4 i.export_1 region_*
if hi_natstock!=1 & foreign!=0,
robust cluster(wbcode);
estimates store e3;
margins, dydx(sector_4) at(hi_natstock=(1(.5)4)) level(90);
marginsplot, recastci(rline) scheme(s2mono);

/* Arrears as pct? Significant marginal effect from approx 1.75 to 3.4; bigger confidence intervals
#delimit;
reg arrears_pct c.hi_natstock i.foreign foreign#c.hi_natstock
i.sector_1 i.sector_3 i.sector_4 i.export_1 region_*,
robust cluster(wbcode);
estimates store e3;
margins, dydx(foreign) at(hi_natstock=(1(.5)4)) level(90);
marginsplot;
